osgUI::AlignmentSettings Class Reference

`#include <AlignmentSettings>`

Inheritance diagram for osgUI::AlignmentSettings:

## Public Types

enum | Alignment { LEFT_TOP , LEFT_CENTER , LEFT_BOTTOM , CENTER_TOP , CENTER_CENTER , CENTER_BOTTOM , RIGHT_TOP , RIGHT_CENTER , RIGHT_BOTTOM , LEFT_BASE_LINE , CENTER_BASE_LINE , RIGHT_BASE_LINE , LEFT_BOTTOM_BASE_LINE , CENTER_BOTTOM_BASE_LINE , RIGHT_BOTTOM_BASE_LINE }
Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }

## Public Member Functions

| AlignmentSettings (Alignment alignment=AlignmentSettings::LEFT_BOTTOM)
| AlignmentSettings (const AlignmentSettings &as, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgUI, AlignmentSettings)
void | setAlignment (Alignment alignment)
Alignment | getAlignment () const
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~AlignmentSettings ()
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

Alignment | _alignment
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Member Enumeration Documentation

## Alignment

enum osgUI::AlignmentSettings::Alignment

Enumerator
LEFT_TOP |
LEFT_CENTER |
LEFT_BOTTOM |
CENTER_TOP |
CENTER_CENTER |
CENTER_BOTTOM |
RIGHT_TOP |
RIGHT_CENTER |
RIGHT_BOTTOM |
LEFT_BASE_LINE |
CENTER_BASE_LINE |
RIGHT_BASE_LINE |
LEFT_BOTTOM_BASE_LINE |
CENTER_BOTTOM_BASE_LINE |
RIGHT_BOTTOM_BASE_LINE |

## Constructor & Destructor Documentation

## AlignmentSettings() [1/2]

osgUI::AlignmentSettings::AlignmentSettings | ( | Alignment | alignment = AlignmentSettings::LEFT_BOTTOM | ) |

References LEFT_BOTTOM.

Referenced by AlignmentSettings(), and META_Object().

## AlignmentSettings() [2/2]

osgUI::AlignmentSettings::AlignmentSettings | ( | const AlignmentSettings & | as,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY )

References AlignmentSettings(), and osg::CopyOp::SHALLOW_COPY.

## ~AlignmentSettings()

virtual osgUI::AlignmentSettings::~AlignmentSettings | ( |  | ) |

inline protected virtual

## Member Function Documentation

## getAlignment()

Alignment osgUI::AlignmentSettings::getAlignment | ( |  | ) | const

inline

References _alignment.

## META_Object()

osgUI::AlignmentSettings::META_Object | ( | osgUI | ,
|  | AlignmentSettings | )

References AlignmentSettings().

## setAlignment()

void osgUI::AlignmentSettings::setAlignment | ( | Alignment | alignment | ) |

inline

References _alignment.

## Member Data Documentation

## _alignment

Alignment osgUI::AlignmentSettings::_alignment

protected

Referenced by getAlignment(), and setAlignment().

The documentation for this class was generated from the following file:

- AlignmentSettings